import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { DateTimeFieldUpdateOperationsInputObjectSchema as DateTimeFieldUpdateOperationsInputObjectSchema } from './DateTimeFieldUpdateOperationsInput.schema'

const makeSchema = () => z.object({
  createdAt: z.union([z.coerce.date(), z.lazy(() => DateTimeFieldUpdateOperationsInputObjectSchema)]).optional()
}).strict();
export const DatabaseBackupUpdateWithoutUserInputObjectSchema: z.ZodType<Prisma.DatabaseBackupUpdateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupUpdateWithoutUserInput>;
export const DatabaseBackupUpdateWithoutUserInputObjectZodSchema = makeSchema();
